- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OutputStreamWriter Class Reference

Inherits Writer.

List of all members.

## Detailed Description

Abstract class for writing to character streams.

## Public Member Functions
| OutputStreamWriter (OutputStreamPtr &out)
| OutputStreamWriter (OutputStreamPtr &out, CharsetEncoderPtr &enc)
| ~OutputStreamWriter ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (const LogString &str, Pool &p)
LogString | getEncoding () const

## Constructor & Destructor Documentation

OutputStreamWriter | ( | OutputStreamPtr & | out | ) |

OutputStreamWriter | ( | OutputStreamPtr & | out,
|  | CharsetEncoderPtr & | enc
| ) |

~OutputStreamWriter | ( |  | ) |

## Member Function Documentation

virtual void close | ( | Pool & | p | ) | `[virtual]`

| Implements Writer.

virtual void flush | ( | Pool & | p | ) | `[virtual]`

| Implements Writer.

LogString getEncoding | ( |  | ) | const

virtual void write | ( | const LogString & | str,
|  | Pool & | p
| ) | `[virtual]`

| Implements Writer.

The documentation for this class was generated from the following file:

- outputstreamwriter.h